org.apache.felix.ipojo.composite.instance

## Class InstanceHandlerDescription

- java.lang.Object
- - org.apache.felix.ipojo.architecture.HandlerDescription
  - - org.apache.felix.ipojo.composite.instance.InstanceHandlerDescription

    public class InstanceHandlerDescription
    extends HandlerDescription

Description of the Instance Handler.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`InstanceHandlerDescription(CompositeHandler handler, org.apache.felix.ipojo.composite.instance.InstanceHandler.ManagedConfiguration[] insts)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.felix.ipojo.metadata.Element` `getHandlerInfo()` Build handler description.

### Methods inherited from class org.apache.felix.ipojo.architecture.HandlerDescription

`getHandlerName, isValid`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InstanceHandlerDescription

    public InstanceHandlerDescription(CompositeHandler handler,
                                      org.apache.felix.ipojo.composite.instance.InstanceHandler.ManagedConfiguration[] insts)

Constructor.

Parameters:
  `handler` - : handler
  `insts` - : list of component instances

### Method Detail

#### getHandlerInfo

    public org.apache.felix.ipojo.metadata.Element getHandlerInfo()

Build handler description.

Overrides:
  `getHandlerInfo` in class `HandlerDescription`
Returns:
  the handler description
See Also:
  `HandlerDescription.getHandlerInfo()`